Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Daniel Gryniewicz (dang)" <dang@g.o>
Subject: gentoo-x86 commit in app-admin/sabayon: ChangeLog sabayon-2.20.1.ebuild
Date: Sat, 03 Nov 2007 14:41:54 +0000
dang        07/11/03 14:41:54

  Modified:             ChangeLog sabayon-2.20.1.ebuild
  Log:
  Make sabayon use gksu rather than gnomesu; bug #197865
  (Portage version: 2.1.3.16)

Revision  Changes    Path
1.29                 app-admin/sabayon/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/ChangeLog?rev=1.29&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/ChangeLog?rev=1.29&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/ChangeLog?r1=1.28&r2=1.29

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/sabayon/ChangeLog,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- ChangeLog	7 Oct 2007 22:45:49 -0000	1.28
+++ ChangeLog	3 Nov 2007 14:41:53 -0000	1.29
@@ -1,6 +1,9 @@
 # ChangeLog for app-admin/sabayon
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sabayon/ChangeLog,v 1.28 2007/10/07 22:45:49 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/sabayon/ChangeLog,v 1.29 2007/11/03 14:41:53 dang Exp $
+
+  03 Nov 2007; Daniel Gryniewicz <dang@g.o> sabayon-2.20.1.ebuild:
+  Make sabayon use gksu rather than gnomesu; bug #197865
 
   07 Oct 2007; Gilles Dartiguelongue <eva@g.o> sabayon-2.18.1.ebuild,
   sabayon-2.20.1.ebuild:



1.3                  app-admin/sabayon/sabayon-2.20.1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild?r1=1.2&r2=1.3

Index: sabayon-2.20.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- sabayon-2.20.1.ebuild	7 Oct 2007 22:45:49 -0000	1.2
+++ sabayon-2.20.1.ebuild	3 Nov 2007 14:41:53 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild,v 1.2 2007/10/07 22:45:49 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/sabayon/sabayon-2.20.1.ebuild,v 1.3 2007/11/03 14:41:53 dang Exp $
 
 inherit gnome2 eutils python multilib pam
 
@@ -26,7 +26,8 @@
 	app-admin/gamin
 	dev-libs/libxml2
 	>=gnome-base/gconf-2.8.1
-	>=dev-python/gnome-python-2.6.0"
+	>=dev-python/gnome-python-2.6.0
+	x11-libs/gksu"
 
 pkg_setup() {
 	if built_with_use x11-base/xorg-server minimal; then
@@ -63,6 +64,14 @@
 	USE_DESTDIR="1"
 }
 
+src_unpack() {
+	gnome2_src_unpack
+
+	# Switch gnomesu to gksu; bug #197865
+	sed -i -e 's/gnomesu/gksu/' admin-tool/sabayon.desktop || die "gksu sed failed"
+	sed -i -e 's/gnomesu/gksu/' admin-tool/sabayon.desktop.in || die "gksu sed failed"
+}
+
 pkg_postinst() {
 	# unfortunately /etc/gconf is CONFIG_PROTECT_MASK'd
 	elog "To apply Sabayon defaults and mandatory settings to all users, put"



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-admin/sabayon: ChangeLog sabayon-2.20.1.ebuild
Next by thread:
gentoo-x86 commit in app-admin/sabayon: ChangeLog sabayon-2.20.1.ebuild
Previous by date:
gentoo-x86 commit in net-libs/xulrunner: ChangeLog xulrunner-1.8.1.9.ebuild
Next by date:
gentoo-x86 commit in sys-fs/device-mapper: ChangeLog device-mapper-1.02.22-r5.ebuild


Updated Jan 24, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.